package com.platform.modules.live.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.platform.modules.live.entity.LiveSceneCountEntity;
import com.platform.modules.live.vo.SceneCountVo;

import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 现场直播计数表
 * 
 * @author weiyan
 * @email 
 * @date 2019-02-20 10:29:20
 */
@Mapper
public interface LiveSceneCountDao extends BaseMapper<LiveSceneCountEntity> {

	void save(LiveSceneCountEntity liveSceneCount);

	void freshRedisToDB(Map<String, Object> sceneViews);

	void clearCount(Map<String, Boolean> sceneViews);
	
	SceneCountVo info(Integer id);
}
